$(function () {
  $('#click').click(function () {
    if (typeof licznik == 'undefined') {
      licznik = 2;
    } else if (licznik > 8) {
      licznik = 9;
    }
    else {
      licznik = licznik + 1;  
    };   
    $('img').attr({src:'img/1b/'+licznik+'.jpg'}).css('opacity','1');
  });
});

